#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

#tde_message_fatal( "riokarma support is not buildable, it needs to link to karma-sharp.dll" )

include( ConfigureChecks.cmake )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/amarok/src
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${KARMA_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

install( FILES
    amarok_riokarma-mediadevice.desktop
  DESTINATION ${SERVICES_INSTALL_DIR} )


##### libamarok_riokarma-mediadevice (module) ###

tde_add_kpart( libamarok_riokarma-mediadevice AUTOMOC
  SOURCES riokarmamediadevice.cpp
  LINK amarok-shared ${KARMA_LIBRARIES} karma
  DESTINATION ${PLUGIN_INSTALL_DIR}
)
